Subject: Re: [Sigtran] question about m3UA

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 4 Aug 2003 22:48:13 -0600

kakaul,

But I think that we agreed that it would be wise to tell newly inactive
ASPs that state of the AS.  Also, in the diagram, the state of the AS
does not change with the second ASP (ASP2) sending ASPUP.  The AS changes
state to AS-INACTIVE with ASP1 coming up.  Therefore, the diagram should
show a NOTIFY(AS-INACTIVE) being sent to each ASP immediately after the
ASPUP Ack is sent to the ASP in question.

The diagram is quite wrong.  Also it is wrong considering the changes to
be made to the next issue of the IG.

--brian

[email-masked] wrote:                                                           (Tue, 05 Aug 2003 09:31:47)
> 
> 
> 
> 
> On receiving ASPUP message from ASP3 state of AS does not change, so
> NOTIFY(AS-INACTIVE) is not send to ASP3.
> 
> Kamesh
> 
> 
> 
> 
> "Ling-Chih Kao" <[email-masked]>@ietf.org on 08/04/2003 11:40:01 AM
> 
> Sent by:    [email-masked]
> 
> 
> To:    "sigtran" <[email-masked]>
> cc:
> 
> Subject:    [Sigtran] question about m3UA
> 
> 
> 
> 
> Should ASP3 in the Section 5.1.4 of
> <draft-ietf-sigtran-m3ua-implementors-guide-04.txt> receive
> NOTIFY(AS-INACTIVE)?
> 
> Thanls
> 
> Ling-Chih Kao
> 
> 
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: [email-masked]
Date: Tue, 5 Aug 2003 09:31:47 +0530

Kamesh

Thanls

Ling-Chih Kao

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Tue, 5 Aug 2003 00:22:25 -0500 (CDT)

Brian,

> But I think that we agreed that it would be wise to tell newly inactive
                                                      ------------------
> ASPs that state of the AS.  Also, in the diagram, the state of the AS
  -------------------------

What does ASP3 do with NOTIFY(AS-INACTIVE)?
Whenever AS state-change happens at SGP, a NTFY will be sent to all ASPes
(other than DOWN-ASPes) pertaining to the same RC.
This is what i remember that everybody agreed.

--Samuel

---

From: "Ling-Chih Kao" <[email-masked]>
Date: Fri, 8 Aug 2003 15:16:06 +0800

Hi all,

After SGP receives the ASP UP from ASP1, SGP should immediately send
NOTIFY(AS-INACTIVE)   to all ASP in the same AS. Is this right?

Thanks

Ling-Chih Kao
----- Original Message -----
From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
To: "Brian F. G. Bidulock" <[email-masked]>
Cc: <[email-masked]>; "Ling-Chih Kao" <[email-masked]>; "sigtran"
<[email-masked]>
Sent: Tuesday, August 05, 2003 1:22 PM
Subject: Re: [Sigtran] question about m3UA

Brian,

                                                      ------------------

--Samuel
> > Should鼦SP3 in the Section 5.1.4 of

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 8 Aug 2003 02:41:15 -0500 (CDT)

Ling-Chih Kao,

NTFY(AS-INACT) is sent to all all available peer ASPes.
Note: Available peer means an ASP which received ASP-UP-ACK
in response to ASP-UP messages.(as per RFC section 4.3.4.1).

If you active the AS as soon as a single ASP goes to ASP-INACT
state then it is obvious that whoever sends ASP-UP message to 
SGP, immediately SGP will send a NTFY(AS-INACT) to the concern
ASP followd by ASP-UP-ACK.

--Samuel
  Alcatel USA, Inc.                  Internet: <userid>@ssd.usa.alcatel.com
  1000 Coit Road, Plano, Texas 75075
  ******* The opinions expressed are not those of Alcatel USA, Inc. *******

---

From: "Ling-Chih Kao" <[email-masked]>
Date: Fri, 8 Aug 2003 16:05:53 +0800

Dear Samuel Dur D. Jeyaseelan

From the new definition of AS-INACTIVE in sec 4.3.2 of
draft-ietf-sigtran-m3ua-implementors-guide-04.txt>, the AS becomes
AS-INACTIVE when there are at least n ASPs in either ASP-INACTIVE or
AS-ACTIVE.

Therefore, in sec. 5.1.4, AS becomes AS-INACTIVE when SGP receives two ASP
UP (from ASP1 and ASP2).  However, when the SGP receives  ASP UP from ASP3,
SGP does not  send NOTIFY (AS-INACTIVE) to ASP3. I want to know whether it
is optional or not?

Thanks.
Ling-Chih Kao

----- Original Message -----
From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
To: "Ling-Chih Kao" <[email-masked]>
Cc: "sigtran" <[email-masked]>
Sent: Friday, August 08, 2003 3:41 PM
Subject: Re: [Sigtran] question about m3UA

Ling-Chih Kao,

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 8 Aug 2003 02:13:16 -0600

Ling-Chih,

We agreed it was a good idea to send it, even though there is no
text in the RFC that explicitly requires it.

It might be a good idea to add "SHOULD" text to the IG and correct
the diagram 5.1.4.

--brian

Ling-Chih Kao wrote:                                                             (Fri, 08 Aug 2003 16:05:53)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 8 Aug 2003 03:47:30 -0500 (CDT)

Ling-Chih Kao and Brian,

In n+k reduntancy case,when n=2 that means ASP1 and ASP2 are going to
handle the traffic.So sending NTFY to these ASPes is mandatory.
Sending NTFY to ASP3 is an optional because it is not going to handle 
the traffic.When ASP1 or ASP2 goes down then ASP3 will come up to take
over the traffic this case SGP will send a NTFY message with AS state,
here it is mandatory to send NTFY to ASP3.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 8 Aug 2003 02:53:13 -0600

Samuel,

None of the ASPs are handling traffic at that point.  Who is to say
that ASP1 and ASP2 are the 'n' and ASP3 is the 'k'.  Perhaps ASP2
and ASP3 are the 'n' and ASP1 is the 'k'.  The SGP surely doesn't know.
Sending NTFY(AS-INACTIVE) to all of them is the wisest choice.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 08 Aug 2003 03:47:30)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 8 Aug 2003 04:04:50 -0500 (CDT)

Brian,

  I meant first 2 ASPes will receive NTFY messages.Sending NTFY to 
  3rd ASP is an optional.Do you have any problem here?

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 8 Aug 2003 03:07:47 -0600

Samuel,

Yes, I have a problem, because it is a race condition.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 08 Aug 2003 04:04:50)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 8 Aug 2003 04:17:31 -0500 (CDT)

Brian,
 Ok,say ASP1,ASP2 and ASP3 send ASP-UP message respectively, but ASP1 and
 ASP2 received NTFY(AS-INACT) but ASP3 did not.
 Now ASP1 sends ASP-ACT message then ASP3 sends ASP-ACT message,
 here it is mandatory to send NTFY(AS-ACT) to both ASPes(ASP1 and ASP3).

 This is the reason i said it is an optional of sending NTFY(AS-INACT)
 to 'n+1'th ASP.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 8 Aug 2003 03:24:23 -0600

Samuel,

What if ASP1 and ASP3 receive it but ASP2 did not, just because
ASP3's ASPUP arrived before ASP2's.  That is a race condition.
This is why it is wise (and "SHOULD" is appropriate) to avoid
the race condition by sending NTFY(AS-INACTIVVE) to all of the
ASPs when they come up.  It should not be optional.  It is necessary
to proper interworking that this race be broken.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 08 Aug 2003 04:17:31)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 8 Aug 2003 04:36:50 -0500 (CDT)

Brian,
 We all know that in n+k redundancy case that ASPes will coordinate
 among themselves the number of active ASPs in the AS, here it is
 clear that who is going to go to ACTIVE state then where is the
 question of race condition?

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 8 Aug 2003 03:47:33 -0600

Samuel,

Maybe clear to the ASPs depending on implementation, but not
clear to the SGP.  If the NTFY(AS-INACTIVE) is not going to be
used by any of the ASPs, why send it in the first place?
If it serves a purpose, it should be sent to all of them to avoid
the race condition.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 08 Aug 2003 04:36:50)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 8 Aug 2003 05:08:22 -0500 (CDT)

Brian,
 Huh, it is not an implementation dependent, rfc says 
 ASPs which are in that AS should coordinate among themselves the number
 of active ASPs in the AS.So it is clear to SGP that first arrived
 'n' ASPs will receive NTFY(AS-INACT) message.

 If you want to send NTFY(AS-INACT) to all ASPes(other than DOWN state)
 you are not restricted but it is not mandatory to send, thats what i
 am saying from the beginning.

 Keep IG as it is.
--Samuel

---

From: "Ling-Chih Kao" <[email-masked]>
Date: Wed, 13 Aug 2003 08:55:25 +0800

Hi, Brian and Samuel

The answer for both of you is different.
See again in Sec. 5.1.4, the ASP3 is for backup. ASP3 did not sent ASP Act.
to SGP. Why did it receive NOTIFY(AS-ACTIVE) ? This is optional or
mandatory?

Thanks

Ling-Chih Kao

----- Original Message -----
From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
To: "Brian F. G. Bidulock" <[email-masked]>
Cc: "Ling-Chih Kao" <[email-masked]>; "sigtran" <[email-masked]>
Sent: Friday, August 08, 2003 6:08 PM
Subject: Re: [Sigtran] question about m3UA

Brian,

 Keep IG as it is.
--Samuel

On Fri, 8 Aug 2003, Brian F. G. Bidulock wrote:

> > > > > > > > > > Cc: <[email-masked]>; "Ling-Chih Kao"
<[email-masked]>;
> > > > > > > > > "sigtran"
  ------------------
> > > > > > > > > > > does not change with the second ASP (ASP2) sending
ASPUP.  The AS
> > > > > > > > > changes
> > > > > > > > > > > > "Ling-Chih Kao" <[email-masked]>@ietf.org on
08/04/2003 11:40:01
> > > > > > > > > > AM

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 12 Aug 2003 21:03:40 -0600

Ling-Chih,

Mandatory.  All ASP-INACTIVE ASPs for an AS receive notifications
of state change.  ASP3 is ASP-INACTIVE in this case and must receive
the notification.

The contentious case is when an ASP (ASP3) becomes ASP-INACTIVE from
ASP-DOWN.  I believe that the SGP should notify the newly inactive
ASP of the current state of the AS (which it did not receive before).
Samuel thinks that they should somehow guess the state of the AS.

--brian

Ling-Chih Kao wrote:                                                             (Wed, 13 Aug 2003 08:55:25)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Tue, 12 Aug 2003 23:27:04 -0500 (CDT)

Brian,
 If it is mandatory to send NTFY(AS-STATE) to all ASPes(other than down),
 Why dont we send SS7 node availability status(like DUNA,DAVA,DRST...) 
 to all INACTIVE-ASPes?(because anyway when INACTIVE-ASP moves to ACTIVE
 ASP, it should know the status of SS7 nodes but finally it was decided
 that newly active ASP will send an DAUD and gets the SS7 node(s) status
 or SGP may send SS7 node(s) status to the newly active ASP.)
 This i suggested long back(i think you remeber) but you strongly opposed
 it. Now you are partially true with my old arguments.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 12 Aug 2003 22:36:14 -0600

Samuel,

You confuse SS7 node state with AS state.  Also, SS7 node state has
an audit procedure using DAUD, so if the ASP ever wants to know the
SS7 node state in can enquire as to such.  Therefore it is not necessary
for the SGP to send SS7 node state to newly active ASPs.

AS state OTOH has NO audit procedure.  There is no way for the newly
inactive ASP to request the AS state from the SGP.  The smart SGP
implemetnation will send it anyway.  The foolish one will require the ASP
to guess.

Either an audit procedure is required, or the SGP should always send NTFY
of the AS state to newly inactive ASPs.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Tue, 12 Aug 2003 23:27:04)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Tue, 12 Aug 2003 23:56:25 -0500 (CDT)

Brian,
 Why dont you answer to this email?

 If you want to change IG then please answer the email.

 (i dont want to go back to old email, just i referred)

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 12 Aug 2003 23:06:38 -0600

Samuel,

What question did you need me to answer?

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Tue, 12 Aug 2003 23:56:25)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ling-Chih Kao" <[email-masked]>
Date: Wed, 13 Aug 2003 13:24:07 +0800

Hi, Samuel

1.
ASP3  in Sec. 5.1.4 did not send ASP Act. to SGP; however,  it  received
NOTIFY (AS-ACTIVE).

This NOTIFY is also optional whether ASP3 send ASP Act. to SGP or not.
That's right ?

Should ASP3 send  ASP Act. to SGP?

2.
Should ASP3 send  ASP UP to SGP?

If ASP3 did not sent ASP UP to SGP, reception of NOTIFY(AS-INACTIVE) is also
optional. Or, ASP3 will not receive  NOTIFY(AS-INACTIVE) because ASP3 does
not sent ASP UP to SGP.

Ling-Chih Kao

----- Original Message -----
From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
To: "Brian F. G. Bidulock" <[email-masked]>
Cc: "Ling-Chih Kao" <[email-masked]>; "sigtran" <[email-masked]>
Sent: Wednesday, August 13, 2003 12:27 PM
Subject: Re: [Sigtran] question about m3UA

Brian,

--Samuel

On Tue, 12 Aug 2003, Brian F. G. Bidulock wrote:

> > > > > >  here it is mandatory to send NTFY(AS-ACT) to both ASPes(ASP1
and
> > ASP3).
> > > > > >   ******* The opinions expressed are not those of Alcatel USA,
Inc.
> > *******
> > > > > > > >   I meant first 2 ASPes will receive NTFY messages.Sending
NTFY
> > to
> > > > > > > >   ******* The opinions expressed are not those of Alcatel
USA,
> > Inc. *******
> > > > > > > > > None of the ASPs are handling traffic at that point.  Who
is
> > to say
> > > > > > > > > that ASP1 and ASP2 are the 'n' and ASP3 is the 'k'.
Perhaps
> > ASP2
> > > > > > > > > > In n+k reduntancy case,when n=2 that means ASP1 and ASP2
are
> > going to
> > > > > > > > > > Sending NTFY to ASP3 is an optional because it is not
going
> > to handle
> > > > > > > > > > the traffic.When ASP1 or ASP2 goes down then ASP3 will
come
> > up to take
> > > > > > > > > > over the traffic this case SGP will send a NTFY message
with
> > AS state,
> > > > > > > > > >   ******* The opinions expressed are not those of
Alcatel
> > USA, Inc. *******
> > > > > > > > > > > draft-ietf-sigtran-m3ua-implementors-guide-04.txt>,
the AS
> > becomes
> > > > > > > > > > > Therefore, in sec. 5.1.4, AS becomes AS-INACTIVE when
SGP
> > receives two ASP
> > > > > > > > > > > UP (from ASP1 and ASP2).  However, when the SGP
receives
> > ASP UP from ASP3,
> > > > > > > > > > > SGP does not  send NOTIFY (AS-INACTIVE) to ASP3. I
want to
> > know whether it
> > > > > > > > > > > state then it is obvious that whoever sends ASP-UP
message
> > to
> > > > > > > > > > >   ******* The opinions expressed are not those of
Alcatel
> > USA, Inc. *******
> > > > > > > > > > > > NOTIFY(AS-INACTIVE)   to all ASP in the same AS. Is
this
> > right?
> > > > > > > > > > > > > But I think that we agreed that it would be wise
to
> > tell newly inactive
> > > > > > > > > > >
> >   ------------------
> > > > > > > > > > > > > ASPs that state of the AS.  Also, in the diagram,
the
> > state of the AS
> > > > > > > > > > > > Whenever AS state-change happens at SGP, a NTFY will
be
> > sent to all ASPes
> > > > > > > > > > > > > state to AS-INACTIVE with ASP1 coming up.
Therefore,
> > the diagram should
<draft-ietf-sigtran-m3ua-implementors-guide-04.txt>
> > receive

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 13 Aug 2003 01:23:19 -0600

Ling-Chih,

Ling-Chih Kao wrote:                                                             (Wed, 13 Aug 2003 13:24:07)
> This NOTIFY is also optional whether ASP3 send ASP Act. to SGP or not.

No.  That notify is mandatory.

> optional. Or, ASP3 will not receive  NOTIFY(AS-INACTIVE) because ASP3 does

Notify cannot be sent to ASPs in the ASP-DOWN state.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Wed, 13 Aug 2003 04:18:17 -0500 (CDT)

Ling-Chih Kao,

> This NOTIFY is also optional whether ASP3 send ASP Act. to SGP or not.
As per RFC it is mandatory.Basically NTFY has been used not only to 
reflect the AS state but also used like 'insufficent # of ASPs' to all
INACTIVE ASPs.
NTFY(AS-ACTIVE) - sending this to all INACTIVE-ASPs is mandatory as per
                  RFC, But i dont see any purpose here.

NTFY("Insuff # of ASPs) - sending this to all INACTIVE-ASPs is mandatory
                          because any of the INACTIVE-ASP will become ACT.

NTFY("AS-Pending") - sending this to all INACTIVE-ASPs is mandatory
                     because any of the INACTIVE-ASP will become ACT.
 
> Should ASP3 send  ASP Act. to SGP?
In our example(n+k case), if n=2 then 2 ASPs(say ASP1 and ASP2) will send
ASP-ACT messages.But you can have a test case where you will be sending
ASP-ACT from ASP3, this case SGP will honour that ASP-ACT.But basically
'k' ASP is used for backup purpose so unless ASP1 or ASP2 goes down ASP3
will not be sending ASP3-ACT.

> Should ASP3 send  ASP UP to SGP?
Yes, because you make the backup ASP ready to a certain level so that
when any one of the ASCTIVE-ASP goes down, backup ASP will take minimum
time to take up the load.

> optional. Or, ASP3 will not receive  NOTIFY(AS-INACTIVE) because ASP3 does
This already Brian has answered.NTFY will not be processed in DOWN state.

--Samuel
> > > > > > > > > > > > > (other than DOWN-ASPes) pertaining to the same RC
>

---

From: "Ling-Chih Kao" <[email-masked]>
Date: Tue, 19 Aug 2003 17:21:30 +0800

Hi, Samuel

You mentioned that NTFY("AS-Pending") - sending this to all INACTIVE-ASPs is
mandatory because any of the INACTIVE-ASP will become ACT.
However, from the definition of M3UA Implementor's Guide, it said that
"AS-PENDING: The last active ASP has transitioned from ASP-ACTIVE to
   ASP-INACTIVE or ASP-DOWN.  A recovery timer T(r) SHOULD be started
   and all incoming signalling messages SHOULD be queued by the SGP. If
   an ASP becomes ASP-ACTIVE before T(r) expires, the AS is moved to the
   AS-ACTIVE state and all the queued messages will be sent to the ASP".

ASP3 overrides ASP1 when ASP1 want to withdraw (example in sec. 5.2.3 (2+1
redundancy model)).The AS still has an active ASP (ASP2). Why did SGP send
NTFY("AS-Pending") to all ASPs? Are this wrong?

As mentioned in sec. 5.2.1 of  RFC 3332, how did SGP instruct which ASP
should send ASP Active to SGP  when SGP M3UA layer detects the loss of  the
peer M3UA?

As mentioned in sec. 5.2.2 of RFC 3332, What is the reason for ASP2 to
override ASP1 ? How did ASP2 know to send ASP Active to SGP? When the model
is 2+2 redundancy model, there are two backup ASPs, which ASP will override
original ASP?

Ling-Chih Kao

----- Original Message -----
From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
To: "Ling-Chih Kao" <[email-masked]>
Cc: <[email-masked]>; "sigtran" <[email-masked]>
Sent: Wednesday, August 13, 2003 5:18 PM
Subject: Re: [Sigtran] question about m3UA

> > > > See again in Sec. 5.1.4, the ASP3 is for backup. ASP3 did not sent
ASP
> > Act.
Inc.
> > > > > > > >  Ok,say ASP1,ASP2 and ASP3 send ASP-UP message respectively,
but
> > > > ASP1 and
USA,
Alcatel
> > > > > > > > > > > and ASP3 are the 'n' and ASP1 is the 'k'.  The SGP
surely
> > > > doesn't know.
> > the AS
> > > > becomes
> > > > > > > > > > > > > AS-INACTIVE when there are at least n ASPs in
either
> > > > ASP-INACTIVE or
> > > > > > > > > > > > > If you active the AS as soon as a single ASP goes
to
> > > > ASP-INACT
> > > > > > > > > > > > > SGP, immediately SGP will send a NTFY(AS-INACT) to
the
> > > > concern
> > > > > > > > > > > > > > After SGP receives the ASP UP from ASP1, SGP
should
> > > > immediately send

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Tue, 19 Aug 2003 06:58:17 -0500 (CDT)

Ling-Chih Kao,

comments in-line.

> NTFY("AS-Pending") to all ASPs? Are this wrong?

NTFY(AS-Pending) is sent only when the final ACTIVE ASP goes down.
How do you say ASP2 is ACTIVE?

> should send ASP Active to SGP  when SGP M3UA layer detects the loss of  the
My understanding is , it is not the SGP which instructs which ASP to
come-up, but it is the craft person's local database configuration at 
Application Server side.

If SGP detects loss of peer M3UA layer (may be ASP1 does not respond with
heartbeat-ack)SGP will send a NTFY message to ASP2 so that ASP2 will
become ACTIVE.

> is 2+2 redundancy model, there are two backup ASPs, which ASP will override

What is the reason for ASP2 to override ASP1 ? 
See, everything is controlled by a craft means via configured database.
Say for example, traffic is smooth between SGP1 and ASP1 but after some
time craft wants to do some kind of databse modification at ASP1 so he
make ASP2 to send the ASP-ACTIVE, Is this ok?

All qtns are answered above with respect to local database configuration
at Application Server.

---

From: "Ling-Chih Kao" <[email-masked]>
Date: Wed, 20 Aug 2003 15:43:14 +0800

Samuel

The example in sec. 5.1.4 and 5.2.3 is for "2+1" sparing loadsharing case.
The original active ASP is ASP1 and ASP2. Later, ASP1 withdraws  and ASP3
overrides it. ASP2 is still active; therefore, not all ASPs go into ASP
inactive. Am I wrong?

In  the example of sec. 5.1.4  for "2+1" sparing loadsharing case, the
decision of  ASPs taking care traffic is still by a craft means via
configured database. (In this example, ASP1 and ASP2 take care traffic
first.)
Or, depend on which ASP send ASP active to SGP first?

Thanks

Ling-Chih Kao

----- Original Message -----
From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
To: "Ling-Chih Kao" <[email-masked]>
Cc: "sigtran" <[email-masked]>
Sent: Tuesday, August 19, 2003 7:58 PM
Subject: Re: [Sigtran] question about m3UA

> > > > If ASP3 did not sent ASP UP to SGP, reception of NOTIFY(AS-INACTIVE)
is
> > also
> > > > optional. Or, ASP3 will not receive  NOTIFY(AS-INACTIVE) because
ASP3
> > does
> > > > > >  ASPs which are in that AS should coordinate among themselves
the
> > number
> > > > > >  you are not restricted but it is not mandatory to send, thats
what
> > i
Inc.
> > > > > > > >  among themselves the number of active ASPs in the AS, here
it
USA,
Alcatel
> > > > > > > > > > > > > None of the ASPs are handling traffic at that
point.
> > Who
> > > > > > > > > > > > > Sending NTFY(AS-INACTIVE) to all of them is the
wisest
> > > > choice.
> > > > > > > > > > > > > > In n+k reduntancy case,when n=2 that means ASP1
and
> > ASP2
> > > > are
> > > > > > going to
> > > > > > > > > > > > > > handle the traffic.So sending NTFY to these
ASPes is
> > > > > > mandatory.
> > > > > > > > > > > > > > Sending NTFY to ASP3 is an optional because it
is
> > not
> > > > going
> > > > > > to handle
> > > > > > > > > > > > > > the traffic.When ASP1 or ASP2 goes down then
ASP3
> > will
> > > > > > > > > > > > > > > Therefore, in sec. 5.1.4, AS becomes
AS-INACTIVE
> > when
> > > > > > > > > > > > > > > NTFY(AS-INACT) is sent to all all available
peer
> > > > ASPes.
> > > > > > > > > > > > > > > Note: Available peer means an ASP which
received
> > > > > > ASP-UP-ACK
> > > > > > > > > > > > > > > in response to ASP-UP messages.(as per RFC
section
> > > > > > 4.3.4.1).
> > > > > > > > > > > > > > > > NOTIFY(AS-INACTIVE)   to all ASP in the same
AS.
> > Is
> > > > > > > > > > > > > > > > > But I think that we agreed that it would
be
> > wise
> > > > > > > > > > > > > > > > Whenever AS state-change happens at SGP, a
NTFY
> > will
> > > > be
> > > > > > sent to all ASPes
> > > > > > > > > > > > > > > > (other than DOWN-ASPes) pertaining to the
same
> > RC

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Wed, 20 Aug 2003 14:28:24 -0500 (CDT)

Ling-Chih Kao,

> overrides it. ASP2 is still active; therefore, not all ASPs go into ASP

You are correct. In section 5.2.3, SGP should not send NTFY(AS-PENDING) to
all ASP because ASP2 is alive(as you said).But SGP should send
NTFY(insuf-resources-at-AS) to INACTIVE-ASPes.

> Or, depend on which ASP send ASP active to SGP first?

which ASP to send ASP-ACTIV to SGP first is also a part of database
configuration.

--Samuel

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Wed, 20 Aug 2003 14:38:57 -0500 (CDT)

Pastor,

IG section 5.1.4 and 5.2.3 are co-related, but section 5.2.3 diagram is
wrong because ASP2 is alive so SGP will send a NTFY(insuf-resources-at-AS)
to INACTIVE-ASPes.

Section 5.2.3 diagram should look like this

        SGP                 ASP1                ASP2                ASP3
          |                   |                   |                   |
          |<----ASP Inact.----|                   |                   |
          |---ASP Inact Ack-->|                   |                   |
          |                   |                   |                   |
          |NOTIFY(Ins. ASPs)->|                   |                   |
          |                   |                   |                   |
          |                   |                   |                   |
          |---------------------------------------NOTIFY(Ins. ASPs)-->|
          |                   |                   |                   |
          |                   |                   |                   |
          |<----------------------------------------ASP Act (Ldshr)---|
          |------------------------------------------ASP Act (Ack)--->|
          |                   |                   |                   |
          |-NTFY(AS-ACTIVE)-->|                   |                   |
          |-------------------NOTIFY(AS-ACTIVE)-->|                   |
          |---------------------------------------NOTIFY(AS-ACTIVE)-->|
          |                   |                   |                   |
          |                   |                   |                   |

Did you remeber this, we discussed few months back that in n+k reduntancy
case SGP should not stop the traffic until 'n' becomes zero.

--Samuel